## indi-mgen 0.1+20220129131520

=== debian/changelog ===
indi-mgen (0.1+20220129131520-1) unstable; urgency=medium

  * build from indi-3rdparty git after release of version 1.9.4
  * build together with indi version 1.9.4

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 29 Jan 2022 16:45:58 +0000

indi-mgen (0.1-2) unstable; urgency=medium

  * source upload
  * debian/control: move to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 25 Dec 2021 15:16:20 +0100

indi-mgen (0.1-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 19 Dec 2021 18:16:20 +0000

## indi-mgen 0.1+20220611125804

=== debian/changelog ===
indi-mgen (0.1+20220611125804-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 11 Jun 2022 12:58:14 +0000

## indi-mgen 0.1+20221222184336

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
PROJECT(indi_mgenautoguider C CXX)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
include(GNUInstallDirs)

set(INDI_MGENAUTOGUIDER_VERSION_MAJOR 0)
set(INDI_MGENAUTOGUIDER_VERSION_MINOR 1)

find_package(CFITSIO REQUIRED)
find_package(INDI REQUIRED)
find_package(ZLIB REQUIRED)
find_package(FTDI1 REQUIRED)
find_package(USB1 REQUIRED)
find_package(Threads REQUIRED)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/indi_mgenautoguider.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/indi_mgenautoguider.xml )

include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${CFITSIO_INCLUDE_DIR})
include_directories(${INDI_INCLUDE_DIR})
include_directories(${FTDI1_INCLUDE_DIR})
include_directories(${USB1_INCLUDE_DIRS})

include(CMakeCommon)

########### MGenAutoguider ###########
set(indimgenautoguider_SRCS
   ${CMAKE_CURRENT_SOURCE_DIR}/mgenautoguider.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/mgen_device.cpp
   )

IF (UNITY_BUILD)
    ENABLE_UNITY_BUILD(indimgen indimgenautoguider_SRCS 10 cpp)
ENDIF ()

add_executable(indi_mgenautoguider ${indimgenautoguider_SRCS})

target_link_libraries(indi_mgenautoguider ${INDI_DRIVER_LIBRARIES} ${FTDI1_LIBRARIES} ${USB1_LIBRARIES} pthread)

install(TARGETS indi_mgenautoguider RUNTIME DESTINATION bin )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/indi_mgenautoguider.xml DESTINATION ${INDI_DATA_DIR})

=== debian/changelog ===
indi-mgen (0.1+20221222184336-2) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113026)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Sep 2025 00:32:11 +0200

indi-mgen (0.1+20221222184336-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 0.1

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 22 Dec 2022 18:43:47 +0000

=== debian/control ===
Source: indi-mgen
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libindi-dev
	, libnova-dev
	, libusb-dev
	, libftdi1-dev
	, libcfitsio-dev
	, zlib1g-dev
Standards-Version: 4.6.2
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-mgen
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-mgen.git

Package: indi-mgen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: INDI driver for Lacerta MGen Autoguider
 This package contains an INDI driver for the Lacerta MGen Autoguider.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.

=== debian/watch ===
version=4
opts=dversionmangle=s/.*/0.No-Release/ \
https://people.debian.org/~eriberto/ FakeWatchNoUpstreamReleaseForThisPackage-(\d\S+)\.gz
